#version 3.7;

// Normally white or black background
background { color rgb <1,1,1> }

// Finish and material definitions
#declare finish1 = finish { ambient 1 diffuse 0 specular 0 }
#declare texture0 = texture {
	pigment { image_map { jpeg "magdeburgdoor.jpg" map_type 0 once interpolate 2 } }
	finish { finish1 }
}
#declare texture1 = texture {
   pigment { image_map { jpeg "magdeburgdoor1.jpg" map_type 0 once interpolate 2 } }
   finish { finish1 }
}
#declare texture2 = texture {
   pigment { image_map { jpeg "magdeburgdoor2.jpg" map_type 0 once interpolate 2 } }
   finish { finish1 }
}
#declare texture3 = texture {
   pigment { image_map { jpeg "magdeburgdoor3.jpg" map_type 0 once interpolate 2 } }
   finish { finish1 }
}

#declare smoothclock = 0.5*(1-cos(pi*clock));

union {
   #include "surf3.inc"
	#include "surf2.inc"
	#include "surf1.inc"
	#include "surf0.inc"
	translate -CENTROID // Center model
	rotate <190,0,0>    // The following align the model with the axes
	rotate <0,99,0>
	rotate <4,0,0>
	scale <1,1,1>/RANGE // Scale to unit cube
	rotate <0,0,-30+60*smoothclock>
}

// Camera
#declare VP = 0.3*<1,0,0>;
camera {
   perspective
	location VP
   up y
   right -image_width*x/image_height
	angle 60
   sky <0,0,1>
  	look_at <0,0,0>
}

// Light source at the camera
light_source {
   VP + <0,0,0>
   color rgb <1,1,1>
}

// Axes to help alignment
/*
#declare RR = 0.003;
#declare finish2 = finish { ambient 0.3 diffuse 0.5 specular 0.2 }
cylinder {
	<0,0,0>, <0.5,0,0>, RR
	texture { pigment { colour rgb <1,0,0> } finish { finish2 } }
}
cone {
   <0.5,0,0>, 2*RR, <0.55,0,0>, 0
   texture { pigment { colour rgb <1,0,0> } finish { finish2 } }
}
cylinder {
   <0,0,0>, <0,0.5,0>, RR
   texture { pigment { colour rgb <0,1,0> } finish { finish2 } }
}
cone {
   <0,0.5,0>, 2*RR, <0,0.55,0>, 0
   texture { pigment { colour rgb <0,1,0> } finish { finish2 } }
}
cylinder {
   <0,0,0>, <0,0,0.5>, RR
   texture { pigment { colour rgb <0,0,1> } finish { finish2 } }
}
cone {
   <0,0,0.5>, 2*RR, <0,0,0.55>, 0
   texture { pigment { colour rgb <0,0,1> } finish { finish2 } }
}
*/
